- date: 2015-02-09
  title: Why does ASTRÉE scale up?
  url: http://www.di.ens.fr/~cousot/publications.www/CousotEtAl-FMSD-v35n3pp229-264-dec-2009.pdf
  authors: Patrick Cousot, Radhia Cousot, Jérôme Feret, Laurent Mauborgne, Antoine Miné, Xavier Rival
  year: 2009
  presentedby: sojkam1

- date: 2015-02-27
  title: "Automatic OS Kernel TCB Reductionby Leveraging Compile-Time Configurability"
  authors: Tartler Reinhard, Kurmus Anil, Ruprecht Andreas, Heinloth Bernhard, Rothberg Valentin, Dorneanu Daniela, Kapitza Rüdiger, Schröder-Preikschat Wolfgang, Lohmann Daniel
  url: http://www4.cs.fau.de/Publications/2012/tartler_12_hotdep.pdf
  year: 2012
  presentedby: kocikare

- date: 2015-03-20
  title: "Understanding Integer Overflow in C/C++"
  authors: Will Dietz, Peng Li, John Regehr, and Vikram Adve
  url: http://www.cs.utah.edu/~regehr/papers/overflow12.pdf
  year: 2012
  presentedby: horenmar

- date: 2015-03-27
  title: "On Micro-Kernel Construction"
  url: http://os.inf.tu-dresden.de/papers_ps/jochen/Mikern.ps
  authors: Jochen Liedtke
  year: 1993
  presentedby: vajnamar

- date: 2015-04-10
  title: "Towards optimization-safe systems: analyzing the impact of undefined behavior"
  url: https://dl.acm.org/citation.cfm?doid=2517349.2522728
  authors:  "Xi Wang, Nickolai Zeldovich, M. Frans Kaashoek, Armando Solar-Lezama"
  year: 2013
  presentedby: kaisrja1

- date: 2015-04-24
  title: "Shared hardware data structures for hard real-time systems"
  url: http://dl.acm.org/citation.cfm?id=2380356.2380382&coll=DL&dl=GUIDE&CFID=505153769&CFTOKEN=26735752
  authors:  "Gedare Bloom, Gabriel Parmer, Bhagirath Narahari, Rahul Simha"
  year: 2012
  presentedby: houdepre

- date: 2015-05-15
  title: "The Technology Behind Crusoe Processors"
  url: https://www.cs.cmu.edu/~./745/papers/paper_aklaiber_19jan00.pdf
  authors: Alexander Klaiber
  year: 2000
  presentedby: dolezj21

- date: 2015-05-29
  title: "Dependable and predictable time-triggered Ethernet networks with COTS components"
  authors: "Martin Elshuber, Roman Obermaisser"
  url: http://www.sciencedirect.com/science/article/pii/S1383762113001252
  year: 2013
  presentedby: sojkam1

- date: 2015-06-12
  title: "Scalable Read-mostly Synchronization Using Passive Reader-Writer Locks"
  authors: "Ran Liu, Heng Zhang and Haibo Chen"
  url: https://www.usenix.org/system/files/conference/atc14/atc14-paper-liu.pdf
  year: 2013
  presentedby: kaisrja1

- date: 2015-06-26
  title: "The TURBO Diaries: Application-controlled Frequency Scaling Explained"
  authors: "Jons-Tobias Wamhoff, Stephan Diestelhorst, Christof Fetzer, Patrick Marlier, Pascal Felber, Dave Dice"
  url: https://www.usenix.org/conference/atc14/technical-sessions/presentation/wamhoff
  year: 2014
  presentedby: video

- date: 2015-07-24
  title: "mTCP: a Highly Scalable User-level TCP Stack for Multicore Systems"
  authors: "E. Jeong, S. Woo, M. Jamshed, H. Jeong, S. Ihm, D. Han and K. Park"
  year: 2014
  url: https://www.usenix.org/conference/nsdi14/technical-sessions/presentation/jeong
  presentedby: video

- date: 2015-11-06
  title: "A Predictable Execution Model for COTS-Based Embedded Systems"
  authors: "Pellizzoni, R.; Betti, E.; Bak, S.; Gang Yao"
  year: 2011
  url: http://ieeexplore.ieee.org/xpl/articleDetails.jsp?arnumber=5767117
  presentedby: matejjoe

- date: 2015-12-04
  title: "ARMageddon: Last-Level Cache Attacks on Mobile Devices"
  authors: "M. Lipp, D. Gruss, R. Spreitzer, S. Mangard"
  url: http://arxiv.org/abs/1511.04897
  year: 2015
  presentedby: sojkam1

- date: 2016-01-15
  title: "Beware of the Hidden! How Cross-traffic Affects Quality Assurances of Competing Real-time Ethernet Standards for In-Car Communication"
  authors: "Till Steinbach, Hyung-Taek Lim, Franz Korf, Thomas C Schmidt, Daniel Herrscher, Adam Wolisz"
  url: https://core.informatik.haw-hamburg.de/bib/eigene/slksh-bhcan-15.pdf
  year: 2015
  presentedby: kaisrja1

- date: 2016-01-29
  title: "Memory Bandwidth Management for Efficient Performance Isolation in Multi-Core Platforms"
  authors: "Yun, H.; Yao, G.; Pellizzoni, R.; Caccamo, M.; Sha, L."
  url: http://ieeexplore.ieee.org/xpl/articleDetails.jsp?arnumber=7093151
  year: 2015
  presentedby: matejjoe

- date: 2016-02-12
  title: "Computer performance microscopy with Shim"
  authors: "Xi Yang, Stephen M. Blackburn, Kathryn S. McKinley"
  url: http://dl.acm.org/ft_gateway.cfm?id=2750401&ftid=1585105&dwn=1&CFID=749737380&CFTOKEN=76495464
  year: 2015
  presentedby: sojkam1

- date: 2016-04-22
  title: "Design, Implementation and Verification of an eXtensible and Modular Hypervisor Framework"
  authors: "Amit Vasudevan, Sagar Chaki, Limin Jia, Jonathan McCune, James Newsome and Anupam Datta"
  url: http://www.ieee-security.org/TC/SP2013/papers/4977a430.pdf
  year: 2013
  presentedby: houdepre

- date: 2016-05-13
  title: "Algorithmic Improvements for Fast Concurrent Cuckoo Hashing"
  authors: "Xiaozhou Li, David G. Andersen, Michael Kaminsky, Michael J. Freedman"
  url: http://www.cs.princeton.edu/~mfreed/docs/cuckoo-eurosys14.pdf
  year: 2014
  presentedby: vajnamar

- date: 2016-07-22
  title: "GPES: A Preemptive Execution System for GPGPU Computing"
  authors: "Husheng Zhou, Guangmo Tong, and Cong Liu"
  url: "http://ieeexplore.ieee.org/xpl/articleDetails.jsp?reload=true&arnumber=7108420"
  year: 2015
  presentedby: matejjoe

- date: 2016-09-23
  title: "Keep it slow and in time: Online DVFS with hard real-time workloads"
  authors: "Kai Lampka and Björn Forsberg"
  url: "http://ieeexplore.ieee.org/document/7459341/"
  year: 2016
  presentedby: matejjoe

- date: 2016-09-30
  title: "Practical search techniques in path planning for autonomous driving"
  authors: "Dmitri Dolgov, Sebastian Thrun, Michael Montemerlo, and James Diebel"
  url: "https://www.aaai.org/Papers/Workshops/2008/WS-08-10/WS08-10-006.pdf"
  year: 2008
  presentedby: hubacjir

- date: 2016-10-14
  title: "Rigorous Benchmarking in Reasonable Time"
  authors: "Kalibera, Tomas and Jones, Richard E."
  url: https://kar.kent.ac.uk/33611/
  year: 2013
  presentedby: sojkam1

- date: 2016-11-07
  title: "Light-PREM: Automated software refactoring for predictable execution on COTS embedded systems"
  authors: "R. Mancuso, R. Dudko and M. Caccamo"
  url: "http://ieeexplore.ieee.org/stamp/stamp.jsp?tp=&arnumber=6910515&isnumber=6910490"
  year: 2014
  presentedby: houdepre

- date: 2016-12-16
  title: "A Fully Preemptive Multiprocessor Semaphore Protocol for Latency-Sensitive Real-Time Applications"
  authors: "Bjorn B. Brandenburg"
  url: "https://people.mpi-sws.org/~bbb/papers/pdf/ecrts13b.pdf"
  year: 2013
  presentedby: pisa

- date: 2018-02-01
  title: "Implicit GPU Synchronization: A Barrier to Real-Time CUDA Workloads"
  authors: "Nathan Otterness, Ming Yang, Tanya Amert, Joshua Bakita, James H. Anderson, and F. Donelson Smith"
  year: 2017
  url: "https://cs.unc.edu/~anderson/papers/rtas18a.pdf"
  presentedby: sojkam1

- date: 2018-02-22
  title: "Spectre Attacks: Exploiting Speculative Execution"
  authors: "Paul Kocher, Daniel Genkin, Daniel Gruss, Werner Haas, Mike Hamburg, Moritz Lipp, Stefan Mangard, Thomas Prescher, Michael Schwarz, Yuval Yarom"
  year: 2018
  url: "https://spectreattack.com/spectre.pdf"
  presentedby: vajnamar

- date: 2018-03-15
  title: "Continuous curvature path planning for semi-autonomous vehicle maneuvers using RRT"
  authors: "Lan, Xiaodong, and Stefano Di Cairano"
  year: 2015
  url: "http://ieeexplore.ieee.org/abstract/document/7330891/"
  presentedby: hubacjir

- date: 2019-02-28
  title: "Scaling Up: The Validation of Empirically Derived Scheduling Rules on NVIDIA GPUs"
  authors: "J. Bakita, N. Otterness, J. Anderson, and F.D. Smith"
  year: 2018
  url: "https://cs.unc.edu/~anderson/papers/ospert18.pdf"
  presentedby: kreilfla

- date: 2019-03-07
  title: "A Real-Time Obstacle Avoidance Method for Autonomous Vehicles Using an Obstacle-Dependent Gaussian Potential Field"
  authors: "Jang-Ho Cho, Dong-Sung Pae, Myo Taeg Lim, Tae-Koo Kang"
  year: 2018
  url: "https://www.researchgate.net/publication/327196160_A_Real-Time_Obstacle_Avoidance_Method_for_Autonomous_Vehicles_Using_an_Obstacle-Dependent_Gaussian_Potential_Field"
  presentedby: kovbaoxa

- date: 2019-03-14
  title: "Deadline-based Scheduling for GPU with Preemption Support"
  authors: "Nicola Capodieci, Roberto Cavicchioli, Marko Bertogna, Aingara Paramakuru"
  year: 2018
  url: "https://algo.ing.unimo.it/people/marko/papers/RTSS18.pdf"
  presentedby: matejjoe

- date: 2019-07-30
  title: "Simultaneous Multithreading Applied to RealTime"
  authors: "Sims Hill Osborne and Joshua J. Bakita and James H. Anderson"
  year: 2019
  url: "http://drops.dagstuhl.de/opus/frontdoor.php?source_opus=10740"
  presentedby: kreilfla

- date: 2020-02-21
  title: "Re-Plannable Automated Parking System With a Standalone Around View Monitor for Narrow Parking Lots"
  authors: "C. Jang, C. Kim, S. Lee, S. Kim, S. Lee and M. Sunwoo"
  year: 2020
  url: "https://ieeexplore.ieee.org/document/8624598"
  presentedby: hubacjir
  
- date: 2020-03-06
  title: "Novel Methodologies for Predictable CPU-To-GPU Command Offloading"
  authors: "R. Cavicchioli, N. Capodieci, M. Solieri, and M. Bertogna"
  year: 2019
  url: "https://drops.dagstuhl.de/opus/volltexte/2019/10759/"
  presentedby: matejjoe
  
- date: 2020-03-13
  title: "Designing Mixed Criticality Applications on Modern Heterogeneous MPSoC Platforms"
  authors: "Gracioli G, Tabish R, Mancuso R, Mirosanlou R, Pellizzoni R, Caccamo M."
  year: 2019
  url: "https://drops.dagstuhl.de/opus/volltexte/2019/10764/"
  presentedby: kostama
  
- date: 2020-03-20
  title: "A thread synchronization model for the PREEMPT_RT Linux kernel"
  authors: "D. B. de Oliveira, R. S. de Oliveira, and T. Cucinotta"
  year: 2020
  url: "https://www.sciencedirect.com/science/article/pii/S1383762120300230"
  presentedby: sojkam1

- date: 2020-03-27
  title: "A Framework for Estimating Driver Decisions Near Intersections"
  authors: "V. Gadepally, A. Krishnamurthy and U. Ozguner"
  year: 2013
  url: "http://doi.org/10.1109/TITS.2013.2285159"
  presentedby: klapajar

- date: 2020-04-03
  title: "Design, Analysis, and Experiments of Preview Path Tracking Control for Autonomous Vehicles"
  authors: "S. Xu and H. Peng"
  year: 2020
  url: "https://doi.org/10.1109/TITS.2019.2892926"
  presentedby: hubacjir

- date: 2020-04-17
  title: "A Dynamic Scratchpad Memory Unit for Predictable Real-Time Embedded Systems"
  authors: "S. Wasly and R. Pellizzoni"
  year: 2013
  url: "https://doi.org/10.1109/ECRTS.2013.28"
  presentedby: kostama
  
- date: 2020-04-24
  title: "Slow and Steady: Measuring and Tuning Multicore Interference"
  authors: "Dan Iorga, Tyler Sorensen, John Wickerson, Alastair F. Donaldson"
  year: 2020
  url: "https://www.cs.princeton.edu/~ts20/files/rtas2020.pdf"
  presentedby: matejjoe
  
  
- date: 2020-05-15
  title: "RedLeaf: Towards An Operating System for Safe and Verified Firmware"
  authors: "Narayanan, Vikram and Baranowski, Marek and Ryzhyk, Leonid and Rakamaric, Zvonimir and Burtsev, Anton"
  year: 2019
  url: "https://www.ics.uci.edu/~aburtsev/doc/redleaf-hotos19.pdf"
  presentedby: sojkam1

- date: 2020-05-29
  title: "Probabilistic Collision Threat Assessment for Autonomous Driving at Road Intersections Inclusive of Vehicles in Violation of Traffic Rules"
  authors: "Samyeul Noh"
  year: 2018
  url: "http://doi.org/10.1109/IROS.2018.8593645"
  presentedby: klapajar
  
- date: 2020-06-05
  title: "How to Read a Paper"
  authors: "S. Keshav"
  year: 2007
  url: "https://web.stanford.edu/class/ee384m/Handouts/HowtoReadPaper.pdf"
  presentedby: hubacjir
  
- date: 2020-06-19
  title: "DOL-BIP-Critical: a tool chain for rigorous design and implementation of mixed-criticality multi-core systems"
  authors: "Giannopoulou, G., Poplavko, P., Socci, D. et al."
  year: 2018
  url: "https://doi.org/10.1007/s10617-018-9206-3"
  presentedby: kostama    
  
- date: 2020-07-03
  title: "Towards a unified behavior trees framework for robot control"
  authors: "A. Marzinotto, M. Colledanchise, C. Smith and P. Ögren"
  year: 2014
  url: "https://doi.org/10.1109/ICRA.2014.6907656"
  presentedby: hubacjir    
  
- date: 2020-10-16
  title: "Abstract PRET Machines"
  authors: "E. Lee, J. Reineke, M. Zimmer"
  year: 2017
  url: "https://doi.org/10.1109/RTSS.2017.00041"
  presentedby: kostama
  
# - date: 2019-03-21
#   title: ""
#   authors: ""
#   year: 2019
#   url: ""
#   presentedby: sojkam1
                            